commit: cbeb93710810cc37e2e473c3c2af8c67b99e852b
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 20 15:16:29 2024 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Dec 20 15:19:25 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbeb9371
dev-ruby/actionview: add 8.0.1
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/actionview/Manifest | 1 +
dev-ruby/actionview/actionview-8.0.1.ebuild | 87 +++++++++++++++++++++++++++++
2 files changed, 88 insertions(+)
diff --git a/dev-ruby/actionview/Manifest b/dev-ruby/actionview/Manifest
index e1d2fd75ea8c..ab48d5fa7a19 100644
--- a/dev-ruby/actionview/Manifest
+++ b/dev-ruby/actionview/Manifest
@@ -12,3 +12,4 @@ DIST rails-7.2.1.2.tgz 11062632 BLAKE2B
bea7bce77556b4ee8b58a7b77df5f333379af9c6
DIST rails-7.2.2.1.tgz 11191598 BLAKE2B
5efb59f891ce5570984647f1941d24c9e2c4efa4281de3393d5e470f510324c63abd6cafb520da0662e0a08f64304570b5e7418211eeb44f1e11101eda0d7252
SHA512
7aced16f3c847ae7191b5dbb23b9f4b6c0be81404ac7d18f6cd124380f74ce48b9e4f3233cb77062970e302c486baf89e2c104b77a31b794c77ae75256868e0f
DIST rails-7.2.2.tgz 11171772 BLAKE2B
1b47171ea14c437b424152f6e4dbd28eeb7a302a1aca0c769405ee948d66f6cbfcc108f7a33d506111dfc1250f2a44b7b45aeb05b3e536833953814fc8523ff4
SHA512
6d3fbde739ceacfbd424bf94b9b9bae9e910c0e72b39e2f4c8c33b270b383b2d12022738e3f1f8a6e2c0e95a4759a99343ffe2e618ecee266e458308c14c5d39
DIST rails-8.0.0.tgz 11201864 BLAKE2B
cef830ec3e3910aec51579ced5a7a8ee5599b09a854b08b377e70329c3ac329dac2448428912d813294016b26acb31f1872d3d117f18a11040b83d2d6caf2b72
SHA512
b28401f0ab23a99e9ce113ce278bbd6cb69d7e21f414a17d0059821eef6ed6fbd0a04ccd9a3da34f8934ad0b7374314233c69c66f550c3e60f73766a26f38cef
+DIST rails-8.0.1.tgz 11866108 BLAKE2B
f4e39bb4c022b1203da860e3009a770a2d5b038b3d6cab8cded657079a228da79989e7f105ec5ba759a497f843ce12ea403aff8282be6cce08d31d795b1f7ca3
SHA512
e6dce354647b7a87a8c3dff77d6e686a8303ad05238f92adae46eb4cf924d44e304074b8d42946e88abc91dcf0c649ac88e1f2eb7062874f2443a4465604e37c
diff --git a/dev-ruby/actionview/actionview-8.0.1.ebuild
b/dev-ruby/actionview/actionview-8.0.1.ebuild
new file mode 100644
index 000000000000..fd489930f6dc
--- /dev/null
+++ b/dev-ruby/actionview/actionview-8.0.1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple, battle-tested conventions and helpers for building web
pages"
+HOMEPAGE="https://github.com/rails/rails/"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz ->
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/builder-3.1:* =dev-ruby/builder-3*:*
+ >=dev-ruby/erubi-1.11:0
+ >=dev-ruby/rails-dom-testing-2.2:2
+ >=dev-ruby/rails-html-sanitizer-1.6:1
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/capybara
+ dev-ruby/mocha
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/railties-${PV}
+ dev-ruby/sqlite3
+ dev-ruby/minitest:5
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|rack-cache\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|mime-types\|minitest\|sprockets\|stackprof\)/
s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Fix loading of activerecord integration tests. This avoids loading
+ # activerecord twice and thus redefining constants leading to
+ # failures. Bug #719342
+ sed -e '/abstract_unit/arequire "active_record" ; require
"active_record/fixtures"' \
+ -e '/defined/ s/FixtureSet/ActiveRecord::FixtureSet/' \
+ -i test/active_record_unit.rb || die
+
+ sed -e '3irequire "ostruct"' \
+ -i test/abstract_unit.rb || die
+
+ # Avoid test failing on capitalization difference
+ sed -e '/test_raise_arg_overrides_raise_config_option/askip
"Capitalization difference"' \
+ -i test/template/translation_helper_test.rb || die
+
+ # Remove tests that are coupled to the Sanitizer (already removed
upstream)
+ sed -e
'/test_sanitized_allowed_\(tags_class_method\|attributes_class_method\)/askip
"Removed upstream"' \
+ -i test/template/sanitize_helper_test.rb || die
+}
+
+each_ruby_prepare() {
+ # The new prism parser is currently unpackaged and only included with
ruby33.
+ case ${RUBY} in
+ *ruby31|*ruby32)
+ sed -e '/prism/ s:^:#:' \
+ -e '/PrismRubyTrackerTest/,/^end/ s:^:#:' \
+ -i test/template/dependency_tracker_test.rb ||
die
+ ;;
+ esac
+}